Summary: 	ODBC driver for MySQL
Name: 		mysql-connector-odbc
Version: 	5.1.11
Release: 	%mkrel 3
Group: 		System/Libraries
URL: 	http://dev.mysql.com/downloads/connector/odbc/
# exceptions allow library to be linked with most open source SW,
# not only GPL code.
License: 	GPLv2

# Upstream has a mirror redirector for downloads, so the URL is hard to
# represent statically.  You can get the tarball by following a link from
# http://dev.mysql.com/downloads/connector/odbc/
Source0: 	%{name}-%{version}-src.tar.gz

# mysql-connector-odbc expects to be able to get at a bunch of utility
# functions inside libmysqlclient.  Now that we are restricting what symbols
# are exported by libmysqlclient, that doesn't work.  Instead, copy those
# functions here.  mysql and mysql-connector-odbc are published under the same
# license, so this creates no legal issues.  (Note: we don't worry about
# polluting application namespace in mysql-connector-odbc, since it's never
# directly statically linked with any application code.)
Source1: 	mysql-mysys.tar.bz2

Patch1: 	myodbc-add-mysys.patch
Patch2: 	myodbc-shutdown.patch
Patch3: 	myodbc-64bit.patch
Patch4: 	myodbc-makefile.patch
Patch5:     mysql-connector-odbc-5.1.11-fix-format-security.patch

BuildRequires: 	mysql-devel 
BuildRequires: 	unixODBC-devel
BuildRequires: 	automake autoconf libtool libltdl-devel

%description
An ODBC (rev 3) driver for MySQL, for use with unixODBC.

%prep
%setup -q -n %{name}-%{version}-src

tar xfj %{SOURCE1}

%apply_patches

%build
# mysql 5.5.10 has stopped #define'ing THREAD in its exports, and has
# started #define'ing MY_PTHREAD_FASTMUTEX, and neither of those changes
# sit well with mysql-connector-odbc 5.1.10.  Revisit need for these hacks
# when updating to newer release.
######################################################################################################################

export CFLAGS="%{optflags} -fno-strict-aliasing -DTHREAD=1 -UMY_PTHREAD_FASTMUTEX "

autoreconf -fi

%configure2_5x \
	--disable-gui \
	--with-unixODBC \
	--with-unixODBC-libs=%{_libdir} \
	--with-odbc-ini=/etc/odbc.ini \
	--with-mysql-includes=%{_includedir}/mysql \
	--with-mysql-libs=%{_libdir}/mysql

export tagname=CC
make LIBTOOL=/usr/bin/libtool 

%install
export tagname=CC
make DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool install

# Remove stuff not to be packaged (possibly reconsider later)
rm -f $RPM_BUILD_ROOT%{_bindir}/myodbc-installer

# we don't want static libraries, thanks
rm -f $RPM_BUILD_ROOT%{_libdir}/libmyodbc5.*a

# makefile thinks it should install docs in totally wrong place
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/COPYING
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/README
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/README.debug
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/ChangeLog
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/INSTALL
rm -f $RPM_BUILD_ROOT/usr/share/mysql-connector-odbc/Licenses_for_Third-Party_Components.txt

%files
%doc README README.debug ChangeLog COPYING
%{_libdir}/lib*so



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 5.1.11-3.mga4
+ Revision: 522172
- Mageia 4 Mass Rebuild

* Mon Feb 11 2013 neoclust <neoclust> 5.1.11-2.mga3
+ Revision: 397821
- Fix compilation with format-security

* Tue Jan 29 2013 dlucio <dlucio> 5.1.11-1.mga3
+ Revision: 393208
- new name for S1
- no-error=format-security
- S1 was rediffed with some const castings
- Sync from FC18
- iodbc-devel as BR
- cmake as BR
- 5.2.2
- New patches

  + dmorgan <dmorgan>
    - imported package mysql-connector-odbc


* Tue Dec 07 2010 Funda Wang <fwang@mandriva.org> 5.1.8-1mdv2011.0
+ Revision: 613453
- 5.1.8

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 5.1.7-2mdv2011.0
+ Revision: 612975
- the mass rebuild of 2010.1 packages
- 5.1.7

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 5.1.6-2mdv2010.1
+ Revision: 507520
- rebuild

* Mon Nov 23 2009 Funda Wang <fwang@mandriva.org> 5.1.6-1mdv2010.1
+ Revision: 469267
- update desc
- New version 5.1.6
- New version 5.1.5
- rediff libname patch
- fix license (it is not public domain of course)

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Zombie Ryushu <ryushu@mandriva.org>
    - Backport for 2009.1 test

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against mysql-5.1.30 libs

* Sat Jul 19 2008 Oden Eriksson <oeriksson@mandriva.com> 3.51.26-0.r1127.1mdv2009.0
+ Revision: 238811
- 3.51.26r1127
- added the dsn-editor.pro from 3.51.16r494 to fix build
- fix linkage (P2)
- sync with fedora (P1)
- fix deps

  + Funda Wang <fwang@mandriva.org>
    - use qt3 macros
    - new devel package name policy
    - Rename to mysql-connector-odbc
    - New version 3.51.22

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - kill explicit icon extension

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.51.16-0.r494.2mdv2008.0
+ Revision: 89560
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character

* Sat Jun 16 2007 Oden Eriksson <oeriksson@mandriva.com> 3.51.16-0.r494.1mdv2008.0
+ Revision: 40359
- 3.51.16r494
- rediffed P0

* Wed Apr 18 2007 Oden Eriksson <oeriksson@mandriva.com> 3.51.14-0.r248.3mdv2008.0
+ Revision: 14798
- remove the faulty desktop-file-utils deps


* Tue Mar 13 2007 Oden Eriksson <oeriksson@mandriva.com> 3.51.14-0.r248.2mdv2007.1
+ Revision: 143067
- 3.51.14r248
- fix xdg menu
- rediffed one patch
- Import MyODBC

* Mon Jan 02 2006 Warly <warly@mandriva.com> 3.51.12-4mdv2007.1- new version
* Wed Nov 16 2005 Oden Eriksson <oeriksson@mandriva.com> 3.51.11-4mdk
- rebuilt against openssl-0.9.8a

* Sun Oct 30 2005 Oden Eriksson <oeriksson@mandriva.com> 3.51.11-3mdk
- rebuilt against MySQL-5.0.15

* Sat Jul 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.51.11-2mdk
- Fix BuildRequires

* Sun Jun 19 2005 Oden Eriksson <oeriksson@mandriva.com> 3.51.11-1mdk
- 3.51.11
- rebuilt against new librpm
- drop one redundant patch
- rediffed P0, and also fix sonames

* Mon Mar 07 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.51.10-1mdk
- 3.51.10
- added P0,P1
- added P2 (fedora)
- lib64 fixes
- built all the binaries too, even the QT ones...
- ripped the menu magic from the unixODBC package
- misc spec file fixes

* Thu Apr 15 2004 Michael Scherer <misc@mandrake.org> 2.50.39-2mdk 
- rebuild

